# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeConicalSurface Class Reference

This class implements the mapping between class
ConicalSurface from Geom and the class
ConicalSurface from StepGeom which describes a
conical_surface from Prostep
.

`#include <GeomToStep_MakeConicalSurface.hxx>`

Inheritance diagram for GeomToStep_MakeConicalSurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeConicalSurface (const Handle(Geom_ConicalSurface)&CSurf)
Standard_EXPORT const Handle_StepGeom_ConicalSurface & | Value () const

## Private Attributes

Handle_StepGeom_ConicalSurface | theConicalSurface

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeConicalSurface::GeomToStep_MakeConicalSurface | ( | const Handle(Geom_ConicalSurface)& | CSurf | ) |

## Member Function Documentation

void GeomToStep_MakeConicalSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeConicalSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeConicalSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_ConicalSurface& GeomToStep_MakeConicalSurface::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_ConicalSurface GeomToStep_MakeConicalSurface::theConicalSurface `[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeConicalSurface.hxx